### Constructor

# Phosh ToplevelThumbnail new_from_toplevel

#### Declaration [src]

    PhoshToplevelThumbnail*
    phosh_toplevel_thumbnail_new_from_toplevel (
      PhoshToplevel* toplevel,
      guint32 max_width,
      guint32 max_height
    )

#### Description

No description available.

#### Parameters

`toplevel`

  Type: `PhoshToplevel`

  No description available.

  The data is owned by the caller of the function.

`max_width`

  Type: `guint32`

  No description available.

`max_height`

  Type: `guint32`

  No description available.

#### Return value

Type: `PhoshToplevelThumbnail`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.